.base-input {
  border: none;
  border-bottom: 1px solid $font-primary-color;
  padding: 0.5rem 0.5rem 0.5rem 0;
  margin-bottom: 0.3rem;

  @include font($primary-font, 1.5rem, $font-primary-color);

  &:focus,
  &:active {
    outline: none;
  }

  &:focus {
    &::placeholder {
      opacity: 0;
      transition: all ease 0.3s;
    }
  }

  &::placeholder {
    @include font($primary-font, 1.5rem, #666666);
    transition: all ease 0.3s;
  }

  &__wrapper {
    display: flex;
    flex-direction: column;
  }

  &.invalid {
    border-bottom-color: $error-color;
  }

  &__error {
    @include font($primary-font, 0.875rem, $error-color);
  }
}

// PHONE
@include phone {
  .base-input {
    &::placeholder {
      font-size: 0.875rem;
    }
  }
}
